.full-width {
  width: 100%;
}
.purple {
  color: #671c9d;
}

.mat-divider.mat-divider-vertical {
  border-right-style: solid;
  border-right-color: rgb(246, 243, 250);
  border-right-width: 2px;
}

.modal-note {
  color: #888;
  font-size: 12px;
  font-family: "Open Sans", sans-serif !important;
}

::ng-deep.mat-mdc-form-field-hint-wrapper,
::ng-deep.mat-mdc-form-field-error-wrapper {
  padding: 0px !important;
}

.asterisk--after:after {
  content: "*";
  color: red;
}

.modal-error {
  color: red;
  font-size: 12px;
  font-family: "Open Sans", sans-serif !important;
}

.btn-comments-edit {
  background: #f1f1f1 url("../../../../assets/images/Comment_edit.png")
    no-repeat 3px center;
  width: 60px;
  margin-left: 4px;
  cursor: pointer;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-container {
  display: flex;
  width: 100%;
  height: 60%;
  padding: 20px;
}

.column-layout {
  display: flex;
  flex-direction: column;
  padding: 10px;
  width: 40%;
  gap: 20px;
}

.publisher-form-layout {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.column-flex-grow {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  gap: 20px;
}

.button-row {
  display: flex;
  justify-content: space-between;
}

.discard-changes-button {
  margin-right: 20px;
  width: 135px;
}

.save-button {
  margin-right: 20px;
  width: 100px;
}

.flexible-height-divider {
  height: auto;
}

.full-height {
  height: 100%;
}

.btn-save-author {
  align-self: end;
  margin-right: 20px;
  width: 100px;
}

.author-form-layout {
  display: flex;
  flex-direction: column;
  gap: 20px;
  height: 100%;
  padding: 10px;
  width: 60%;
}

.add-author-button {
  align-self: end;
  margin-right: 20px;
  width: 100px;
}
.flex-grow {
  flex-grow: 1;
}
